Subject: [Hipsec] Question about multiple HIs for a single host

From: WongErnuz <[email-masked]>
Date: Wed, 6 Aug 2008 15:49:22 +0800

Hi! I've been reading drafts on HIP and related papaers, and I kinda got the idea that it is OK for a single host to possess multiple HIs (is that really possible?). If so, I think there has to be a one-to-one binding relationship between a certain HI and a FQDN, otherwise, when a peer host needs to extract the sender's HI from the DNS according to the received FQDN to check the signature, wouldn't it be possible for the host to obtain multiple HIs all at once? (since the sender has many HIs itself) Therefore, how is the host supposed to know which one to use? If HIP RR contains HIT in addition to HI, the receiver can compare the HIT received in the header with each of the HITs obtained from DNS to find the corresponding HI the sender is currently using with the FQDN. However, since HIT provision is optional in DNS, I think it is necessary to recommend each host use a unique HI for a particular FQDN to avoid the one-to-many mapping. Am I right? I'm sorry if the quesiton seems
  stupid; I'm new on this...
_________________________________________________________________
看MSN史诗巨片，票选人气角色，赢取PSP等诸多好礼！
http://im.msn.cn/

_______________________________________________
Hipsec mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/hipsec